> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/ios/changelogs/version-9/v9-1-0-78529.md).

# Version 9.1.0.78529 Changelog (September 8th, 2021)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

* Version: 9.1.0.78529
* Release Date: September 8th, 2021
* Built with Xcode 12.5.1 (12E507)

## New

* Users can now drag annotations annotations between pages

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-ba62a4320fa365eeeede1e047a8e2fbd131e7659%2Fe5de0aa3abde2b715d1a3e9de821514a473f0a37-296x640.gif?alt=media)

* Added support for changing the sticky note icon colour and opacity

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-51f73f8680dd781aead3223041d024a3d61f4264%2F11f9929bff54443ffc858176d854a7a81c920de6-296x640.gif?alt=media)

* Added support for link creation using the new [`PTLinkCreate`](https://sdk.apryse.com/api/ios/Classes/PTLinkCreate.html) tool
  * Links can be added from text or as a shape on the document
  * Page links and web links are both supported

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-71e70bb9f29c48fb4f0b535ff9a2aec759922534%2Fa3597cc4b319ce3621f7590daf211f97fd2a9c15-296x640.gif?alt=media)

* New, faster reflow engine with API options controlling which images to extract
* Added a new [`maxImageDimensions`](https://sdk.apryse.com/api/ios/Classes/PTImageStampAnnotationOptions.html#/c:objc\(cs\)PTImageStampAnnotationOptions\(py\)maxImageDimensions) API to [`PTImageStampAnnotationOptions`](https://sdk.apryse.com/api/ios/Classes/PTImageStampAnnotationOptions.html) to allow an array of maximum image dimensions to be defined when stamping images onto the document
  * If there are multiple elements in the array then the user will be shown a picker to select the image size
  * The image will be resized down to those dimensions before being added to the document
  * Default values are \[4032, 1024, 800]

![](https://4149080208-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2FgY6xtY9ZQd9XMpvWlGM0%2Fuploads%2Fgit-blob-51a9634eb22f0bd35db3fb845e23a9faed706895%2F725262c3ab62c8db354e99e3c6aa03262595e3dd-296x640.gif?alt=media)

* Documents loaded from memory (not from a local file path/URL) can now be shared
* The types of annotations shown in the annotation list can now be controlled via the [`excludedAnnotationTypes`](https://sdk.apryse.com/api/ios/Classes/PTAnnotationViewController.html#/c:objc\(cs\)PTAnnotationViewController\(py\)excludedAnnotationTypes) API on the `PTAnnotationViewController` class
* Added a new [`searchSettingsEnabled`](https://sdk.apryse.com/api/ios/Classes/PTTextSearchViewController.html#/c:objc\(cs\)PTTextSearchViewController\(py\)searchSettingsEnabled) API to allow the search settings to be hidden on the `PTTextSearchViewController`
* Support for custom text in editable dropdown form fields
* Newly editable annotation properties can now have their defaults specified.
* Buttons in the [`PTToolGroupToolbar`](https://sdk.apryse.com/api/ios/Classes/PTToolGroupToolbar.html) for annotation tools can now have their icons changed by disabling the [`PTToolBarButtonItem.showsAnnotationStyle`](https://sdk.apryse.com/api/ios/Classes/PTToolBarButtonItem.html#/c:objc\(cs\)PTToolBarButtonItem\(py\)showsAnnotationStyle) property and then setting the `image` property of the item.
* Support for date form fields with format specifications of `AFTime_Keystroke(ptf)` and `AFTime_Format(ptf)`.
* Image stamps can now be created from SVGs selected in the file browser

## Fixed

* Fix for possible infinite loop when tapping on form fields when using the freehand / free highlighter tools.
* Fix so that the document doesn't shift when showing/hiding the control bars when using a PTDocumentController directly rather than view a PTDocumentTabbedViewController.
* Fix so that the current page can be set immediately after opening a document.
* Fix for a crash when running visual or semantic diff over documents with different page counts.
* Fixes an issue where the `PTPageTemplateViewController`'s page number was not being updated after first being shown.
* Fixes an issue where the page could jump up and down when tabbing between form fields.
* Fixes an issue where the `PTPencilDrawingCreate` tool would always be hidden in the `PTToolGroupToolbar`.
* Fixes an issue with the eraser tool where strokes would only be partially erased.
* Fixes an issue where in some circumstances the viewer could freeze when vertically scrolling beyond the bounds of the document.
* Fixes the UINavigationBar appearance when running on iOS 15.
* UI will no longer freeze when first opening a PDF with an extraordinary number of annotations.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/ios/changelogs/version-9/v9-1-0-78529.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
